##### 7.5.3.0. centerVS

Procedure from library `central.lib` (see central_lib).

Usage:
  centerVS( D ); D int

Return:
  ideal, generated by computed elements

Purpose:
  computes a vector space basis of the center up to degree D

Note:
  D must be non-negative

Example:

    LIB "central.lib";
    ring AA = 0,(x,y,z),dp;
    matrix D[3][3]=0;
    D[1,2]=-z;  D[1,3]=2*x;  D[2,3]=-2*y;
    def A = nc_algebra(1,D); setring A; // this algebra is U(sl_2)
    // find a basis of the vector space of all
    // central elements of degree <= 4:
    ideal Z = centerVS(4);
    Z;
    ==> Z[1]=4xy+z2-2z
    ==> Z[2]=16x2y2+8xyz2+z4-32xyz-4z3-4z2+16z
    // note that the second element is the square of the first
    // plus a multiple of the first:
    Z[2] - Z[1]^2 + 8*Z[1];
    ==> 0
    inCenter(Z); // check the result
    ==> 1

See also: center; centralizerVS; inCenter.

User manual for Singular version 4.4.1, 2025, generated by texi2html.